- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DExtras
- QPlaneGeometry
- Qt 6.7.3 Reference Documentation

# QPlaneGeometry Class

class Qt3DExtras::QPlaneGeometry

The QPlaneGeometry class allows creation of a plane in 3D space. More...

Header: | #include <Qt3DExtras/QPlaneGeometry>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dextras) target_link_libraries(mytarget PRIVATE Qt6::3dextras)
qmake: | QT += 3dextras
Instantiated By: | PlaneGeometry
Inherits: | Qt3DCore::QGeometry

- List of all members, including inherited members

## Properties

height : float indexAttribute : Qt3DCore::QAttribute* const mirrored : bool normalAttribute : Qt3DCore::QAttribute* const positionAttribute : Qt3DCore::QAttribute* const | resolution : QSize tangentAttribute : Qt3DCore::QAttribute* const texCoordAttribute : Qt3DCore::QAttribute* const width : float

## Public Functions

| QPlaneGeometry(Qt3DCore::QNode *parent = nullptr)
float | height() const
Qt3DCore::QAttribute * | indexAttribute() const
bool | mirrored() const
Qt3DCore::QAttribute * | normalAttribute() const
Qt3DCore::QAttribute * | positionAttribute() const
QSize | resolution() const
Qt3DCore::QAttribute * | tangentAttribute() const
Qt3DCore::QAttribute * | texCoordAttribute() const
void | updateIndices()
void | updateVertices()
float | width() const

## Public Slots

void | setHeight(float height)
void | setMirrored(bool mirrored)
void | setResolution(const QSize &resolution)
void | setWidth(float width)

## Signals

void | heightChanged(float height)
void | mirroredChanged(bool mirrored)
void | resolutionChanged(const QSize &resolution)
void | widthChanged(float width)

## Detailed Description

The QPlaneGeometry class is most commonly used internally by the QPlaneMesh but can also be used in custom Qt3DRender::QGeometryRenderer subclasses.

## Property Documentation

### height : float

Holds the plane height.

Access functions:

float | height() const
void | setHeight(float height)

Notifier signal:

void | heightChanged(float height)

### `[read-only]` indexAttribute : Qt3DCore::QAttribute* const

Holds the geometry index attribute.

Access functions:

Qt3DCore::QAttribute * | indexAttribute() const

### mirrored : bool

Controls if the UV coordinates of the plane should be flipped vertically.

Access functions:

bool | mirrored() const
void | setMirrored(bool mirrored)

Notifier signal:

void | mirroredChanged(bool mirrored)

### `[read-only]` normalAttribute : Qt3DCore::QAttribute* const

Holds the geometry normal attribute.

Access functions:

Qt3DCore::QAttribute * | normalAttribute() const

### `[read-only]` positionAttribute : Qt3DCore::QAttribute* const

Holds the geometry position attribute.

Access functions:

Qt3DCore::QAttribute * | positionAttribute() const

### resolution : QSize

Holds the plane resolution.

Access functions:

QSize | resolution() const
void | setResolution(const QSize &resolution)

Notifier signal:

void | resolutionChanged(const QSize &resolution)

### `[read-only]` tangentAttribute : Qt3DCore::QAttribute* const

Holds the geometry tangent attribute.

Access functions:

Qt3DCore::QAttribute * | tangentAttribute() const

### `[read-only]` texCoordAttribute : Qt3DCore::QAttribute* const

Holds the geometry texture coordinate attribute.

Access functions:

Qt3DCore::QAttribute * | texCoordAttribute() const

### width : float

Holds the plane width.

Access functions:

float | width() const
void | setWidth(float width)

Notifier signal:

void | widthChanged(float width)

## Member Function Documentation

### `[explicit]` QPlaneGeometry::QPlaneGeometry(Qt3DCore::QNode *parent = nullptr)

Constructs a new QPlaneGeometry with parent.

### void QPlaneGeometry::updateIndices()

Updates indices based on mesh resolution.

### void QPlaneGeometry::updateVertices()

Updates vertices based on mesh resolution, width, and height properties.